Subject: Re: bug#35408: External monitor not working with GDM

From: Ben Sturmfels <[email-masked]>
Date: Fri, 26 Apr 2019 10:42:58 +1000

On Fri, 2019-04-26 at 00:13 +0200, Diego Nicola Barbato wrote:
> Hi Ben,
> 
> Ben Sturmfels <[email-masked]> writes:
> 
> > Hi Ludovic,
> > 
> > On Thu, 2019-04-25 at 11:08 +0200, Ludovic Courtès wrote:
> > > 
> > > Ben Sturmfels <[email-masked]> skribis:
> > > 
> > > > I was previously using a 24" Samsung external monitor with my
> > > > X200 Guix System via VGA. Since the switch to GDM, I no longer
> > > > seem to be able connect this monitor. When I do, the laptop
> > > > screen just keeps flashing.
> > > 
> > > So the GDM login screen never shows up, right?
> > 
> > I'm thoroughly confused now. GDM definitely *was* working with the
> > laptop screen only, but now when I reconfigure it or choose an old
> > Grub entry, I can't get to the login screen with either external
> > monitor or the laptop. In both cases the console loops showing a
> > message
> > something
> > like:
> > 
> > New session c1 of user gdm.
> > Removed session c1.
> > .
> > .
> > .
> > New session c506 of user gdm.
> > Removed session c506.
> 
> This sounds familiar.  Can you check if /var/lib/gdm is owned by gdm.
> If it isn't, chowning it back to gdm:gdm should fix it.

Thanks Diego. After booting up the system and waiting for the GDM to
stop restarting:

$ sudo ls -la /var/lib/gdm/
total 32
drwx------  5  gdm  gdm 4096 Apr 24 20:12 ./
drwxr-xr-x 13 root root 4096 Apr 10 12:13 ../
drwxr-xr-x  5  983  gdm 4096 Apr 14 22:02 .cache/
drwxr-xr-x  5  983  gdm 4096 Apr 14 22:02 .config/
-rw-------  1  983  gdm   16 Apr 14 22:02 .esd_auth
-rw-------  1  983  gdm 5216 Apr 24 20:12 .ICEauthority
drwxr-xr-x  3  983  gdm 4096 Apr 10 14:49 .local/

For good measure I ran the following anyway, but it didn't seem to fix
it:

$ sudo chmod -R gdm:gdm /var/lib/gdm
$ sudo herd restart xorg-server

Ludovic, the Xorg.0.log file does seem to be fresh now and showing an
error so I've attached that.

Danny, I'm struggling with reconfiguring using the
gnu/services/xorg.scm with "debug"'s "Enable=true" - haven't run from
source for a while. Will take another look at that when I get some
clear time this weekend.